use assert_cmd::prelude::*;
use predicates::prelude::*;
use std::process::Command;

#[test]
fn env_capture() -> Result<(), Box<dyn std::error::Error>> {
	std::env::set_var("TEST_ABC", "brrrr");
    let mut cmd = Command::cargo_bin("printenv")?;

    cmd.assert()
        .success()
        .stdout(predicate::str::contains("TEST_ABC=brrrr\n"));

    Ok(())
}

#[test]
fn null_replace() -> Result<(), Box<dyn std::error::Error>> {
	std::env::set_var("TEST_ABC", "brrrr");
    let mut cmd = Command::cargo_bin("printenv")?;

	cmd.arg("-0");
    cmd.assert()
        .success()
        .stdout(predicate::str::contains("TEST_ABC=brrrr\0"));

    Ok(())
}